## org.gnu.gtk
Class MenuShell

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.MenuShell

Direct Known Subclasses:
  Menu, MenuBar

public abstract class MenuShell
extends Container

The MenuShell class is an abstract base class used to derive the Menu and MenuBar subclasses.

A MenuShell is a container of MenuItem objects arranged in a list which can be navigated, selected, and activated by the user to perform application functions. A MenuItem can have a submenu associated with it, allowing for nested hierarchical menus.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`protected` `MenuShell(Handle handle)`

Method Summary
`void` `activateItem(MenuItem menuItem, boolean forceDeactivate)` Activates the MenuItem within the MenuShell.
`void` `append(MenuItem child)` Append a new MenuItem to the end of the MenuShell's item list.
`void` `cancel()` Cancels the selection within the menu shell.
`void` `deactivate()` Deactivates the MenuShell.
`void` `deselect()` Deselects the currently selected item from the MenuShell.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_menu_shell_activate_item(Handle menu_shell, Handle menuItem, boolean forceDeactivate)`
`protected static void` `gtk_menu_shell_append(Handle menu_shell, Handle child)`
`protected static void` `gtk_menu_shell_deactivate(Handle menu_shell)`
`protected static void` `gtk_menu_shell_deselect(Handle menu_shell)`
`protected static int` `gtk_menu_shell_get_type()`
`protected static void` `gtk_menu_shell_insert(Handle menu_shell, Handle child, int position)`
`protected static void` `gtk_menu_shell_prepend(Handle menu_shell, Handle child)`
`protected static void` `gtk_menu_shell_select_item(Handle menu_shell, Handle menuItem)`
`void` `insert(MenuItem child, int position)` Adds a new MenuItem to the MenuShell's item list at the requested position.
`void` `prepend(MenuItem child)` Adds a new MenuItem to the beginning of the MenuShell's item list.
`void` `selectFirst(boolean searchSensitive)` Select the first visible or selectable child of the menu shell.
`void` `selectItem(MenuItem menuItem)` Selects the MenuItem from the MenuShell.

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuShell

    protected MenuShell(Handle handle)

Method Detail

### append

    public void append(MenuItem child)

  Append a new MenuItem to the end of the MenuShell's item list.

  Parameters:
    `child` - The MenuItem to add

### prepend

    public void prepend(MenuItem child)

  Adds a new MenuItem to the beginning of the MenuShell's item list.

  Parameters:
    `child` - The MenuItem to add.

### insert

    public void insert(MenuItem child,
                       int position)

  Adds a new MenuItem to the MenuShell's item list at the requested position.

  Parameters:
    `child` - The MenuItem to add.
    `position` - The position in the item list where `child` is added. Positions are zero based.

### deactivate

    public void deactivate()

  Deactivates the MenuShell. Typically this results in the MenuShell being erased from the screen.

### selectItem

    public void selectItem(MenuItem menuItem)

  Selects the MenuItem from the MenuShell.

  Parameters:
    `menuItem` - The MenuItem to select.

### deselect

    public void deselect()

  Deselects the currently selected item from the MenuShell.

### activateItem

    public void activateItem(MenuItem menuItem,
                             boolean forceDeactivate)

  Activates the MenuItem within the MenuShell.

  Parameters:
    `menuItem` - The MenuItem to activate.
    `forceDeactivate` - If `true`, force the deactivation of the MenuShell after the MenuItem is activated.

### selectFirst

    public void selectFirst(boolean searchSensitive)

  Select the first visible or selectable child of the menu shell. It won't select tearoff items unless the only item is a tearoff item.

  Parameters:
    `searchSensitive` - If TRUE, search for the first selectable menu item, otherwise select nothing if the first item isn't sensitive. This should be FALSE if the menu is being popped up initially.

### cancel

    public void cancel()

  Cancels the selection within the menu shell.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_menu_shell_get_type

    protected static final int gtk_menu_shell_get_type()

### gtk_menu_shell_append

    protected static final void gtk_menu_shell_append(Handle menu_shell,
                                                      Handle child)

### gtk_menu_shell_prepend

    protected static final void gtk_menu_shell_prepend(Handle menu_shell,
                                                       Handle child)

### gtk_menu_shell_insert

    protected static final void gtk_menu_shell_insert(Handle menu_shell,
                                                      Handle child,
                                                      int position)

### gtk_menu_shell_deactivate

    protected static final void gtk_menu_shell_deactivate(Handle menu_shell)

### gtk_menu_shell_select_item

    protected static final void gtk_menu_shell_select_item(Handle menu_shell,
                                                           Handle menuItem)

### gtk_menu_shell_deselect

    protected static final void gtk_menu_shell_deselect(Handle menu_shell)

### gtk_menu_shell_activate_item

    protected static final void gtk_menu_shell_activate_item(Handle menu_shell,
                                                             Handle menuItem,
                                                             boolean forceDeactivate)